VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
InputStreamContentProvider Class Reference

`#include <uicontentprovider.h>`

Inheritance diagram for InputStreamContentProvider:

## Public Member Functions
| InputStreamContentProvider (InputStream &stream)
uint32_t | readRawData (int8_t *buffer, uint32_t size) override
void | rewind () override
Public Member Functions inherited from IContentProvider
virtual | ~IContentProvider () noexcept=default

## Protected Attributes
InputStream & | stream
int64_t | startPos

## Constructor & Destructor Documentation

## ◆ InputStreamContentProvider()

InputStreamContentProvider | ( | InputStream & | stream | ) |
| explicit

## Member Function Documentation

## ◆ readRawData()

uint32_t readRawData | ( | int8_t * | buffer,
|  | uint32_t | size )
| override virtual

Implements IContentProvider.

## ◆ rewind()

void rewind | ( |  | ) |
| override virtual

Implements IContentProvider.

## Member Data Documentation

## ◆ startPos

int64_t startPos
| protected

## ◆ stream

InputStream& stream
| protected

The documentation for this class was generated from the following files:

- uicontentprovider.h
- uicontentprovider.cpp